Skip to main content
GET
/
api
/
forecast
/
v1
/
get-forecasts
GetForecasts
curl --request GET \
  --url https://api.example.com/api/forecast/v1/get-forecasts
{
  "forecasts": [
    {
      "id": "<string>",
      "domain": "<string>",
      "region": "<string>",
      "title": "<string>",
      "scenario": "<string>",
      "feedSummary": "<string>",
      "probability": 123,
      "confidence": 123,
      "timeHorizon": "<string>",
      "signals": [
        {
          "type": "<string>",
          "value": "<string>",
          "weight": 123
        }
      ],
      "cascades": [
        {
          "domain": "<string>",
          "effect": "<string>",
          "probability": 123
        }
      ],
      "trend": "<string>",
      "priorProbability": 123,
      "calibration": {
        "marketTitle": "<string>",
        "marketPrice": 123,
        "drift": 123,
        "source": "<string>"
      },
      "createdAt": 123,
      "updatedAt": 123,
      "perspectives": {
        "strategic": "<string>",
        "regional": "<string>",
        "contrarian": "<string>"
      },
      "projections": {
        "h24": 123,
        "d7": 123,
        "d30": 123
      },
      "caseFile": {
        "supportingEvidence": [
          {
            "type": "<string>",
            "summary": "<string>",
            "weight": 123
          }
        ],
        "counterEvidence": [
          {
            "type": "<string>",
            "summary": "<string>",
            "weight": 123
          }
        ],
        "triggers": [
          "<string>"
        ],
        "actorLenses": [
          "<string>"
        ],
        "baseCase": "<string>",
        "escalatoryCase": "<string>",
        "contrarianCase": "<string>",
        "changeSummary": "<string>",
        "changeItems": [
          "<string>"
        ],
        "actors": [
          {
            "id": "<string>",
            "name": "<string>",
            "category": "<string>",
            "role": "<string>",
            "objectives": [
              "<string>"
            ],
            "constraints": [
              "<string>"
            ],
            "likelyActions": [
              "<string>"
            ],
            "influenceScore": 123
          }
        ],
        "worldState": {
          "summary": "<string>",
          "activePressures": [
            "<string>"
          ],
          "stabilizers": [
            "<string>"
          ],
          "keyUnknowns": [
            "<string>"
          ]
        },
        "branches": [
          {
            "kind": "<string>",
            "title": "<string>",
            "summary": "<string>",
            "outcome": "<string>",
            "projectedProbability": 123,
            "rounds": [
              {
                "round": 123,
                "focus": "<string>",
                "developments": [
                  "<string>"
                ],
                "actorMoves": [
                  "<string>"
                ],
                "probabilityShift": 123
              }
            ]
          }
        ]
      },
      "simulationAdjustment": 123,
      "simPathConfidence": 123,
      "demotedBySimulation": true
    }
  ],
  "generatedAt": 123
}

Documentation Index

Fetch the complete documentation index at: https://worldmonitor.app/docs/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

domain
string
region
string

Response

Successful response

forecasts
object[]
generatedAt
integer<int64>

Warning: Values > 2^53 may lose precision in JavaScript